package com.ibm.uia.renderer;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import java.awt.*;
/**
 * Insert the type's description here.
 * Creation date: (15/06/2000 14:25:13)
 * @author: Phill van Leersum
 */
public abstract class RendererDialogue extends Dialog {
/**
 * EditDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public RendererDialogue(Frame parent, String title) {
	super(parent, title, true);
}
public void show() {
	pack();
	Rectangle thisRect = getBounds();
	Rectangle parentRect = getParent().getBounds();
	int xMargin = (parentRect.width - thisRect.width) / 2;
	int yMargin = (parentRect.height - thisRect.height) / 2;
	thisRect.x = parentRect.x + xMargin;
	thisRect.y = parentRect.y + yMargin;
	if (thisRect.x < 0) {
		thisRect.x = 0;
	}
	if (thisRect.y < 0) {
		thisRect.y = 0;
	}
	setBounds(thisRect);
	super.show();
}
}
