package com.ibm.mqe.bridgemodel;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import com.ibm.mqe.mqbridge.*;
import com.ibm.uia.metamodel.*;
import com.ibm.uia.renderingInterface.*;
import com.ibm.uia.xml.*;
import com.ibm.mqe.model.*;
/**
 * Insert the type's description here.
 * Creation date: (12/07/2000 13:05:30)
 * @author: Phill van Leersum
 */
public class MQeBridgeListenerProxy extends AbstractBridgeObject {
	private static final String CMD_CREATE_BRIDGE = "Bridge";
private MQeListenerAdminMsg bridgeListenerAdminMessage() {
	try {
		return new MQeListenerAdminMsg(
				getConnection().getOwningQM().getBridge().getName(),
				getConnection().getOwningQM().getName(),
				getConnection().getName(),
				getName(),
				false);
	} catch (Exception e) {
		_error("error creating MQeListenerAdminMsg", e);;
	}
	return null;
}
/**
 * adminMessage method comment.
 */
protected MQeMQBridgesAdminMsg bridgeTypeAdminMessage() {
	return bridgeListenerAdminMessage();
}
protected String getChildTypeName() {
	return "";
}
private final MQeBridgeConnectionProxy getConnection() {
	return (MQeBridgeConnectionProxy)getParent();
}
/**
 * Perform the actions represented by the supplied instance of 
 * <code>RenderableOperation</code> defined in te metamodel file.
 * If the operation was defined with a prompt then the String array
 * will be non-null, and will contain a string for every line of the prompt
 *
 * The renderer responsible for delivering the operation request is passed in
 * for convenience.
 *
 * Reply true if a stuctural refresh is required.
 */
public boolean performOperation(RenderableOperation op, Renderer renderer) {
	String command = op.getName();
	boolean reply = false;
	if (CMD_CREATE_BRIDGE.equals(command)) {
		//reply = createBridge(renderer);
	} else {
		reply = super.performOperation(op, renderer);
	}
	return reply;
}
}
