@echo off
setlocal

: set the location of your JDK
set JDKBASE=%tools%\jdk\118

:set location of UIA stuff
set UIABASE=.

:set location of MQ and MQe
set MQE_BASE=%TOOLS%\ibm\MQe\Java
set MQ_BASE=%TOOLS%\ibm\MQSeries\Java\lib

: setup environment
set path=%JDKBASE%\bin
set classpath=.;%JDKBASE%\lib\classes.zip;
set classpath=%classpath%;%MQE_BASE%
set classpath=%classpath%;%MQ_BASE%\;%MQ_BASE%\com.ibm.mq.jar;%MQ_BASE%\com.ibm.mqbind.jar

echo removing existing classes
del *.class /s  
del *.jar  

echo remaking all projects
javac com\ibm\uia\metamodel\ExampleObject.java
javac com\ibm\uia\renderer\RendererImplementation.java
javac com\ibm\mqe\model\*.java
javac com\ibm\mqe\bridgemodel\*.java


echo building metamodel jar file
set PACKAGES= *.bmp *.gif
set PACKAGES=%PACKAGES% com\ibm\uia\metamodel\*.class
set PACKAGES=%PACKAGES% com\ibm\uia\renderingInterface\*.class
set PACKAGES=%PACKAGES% com\ibm\uia\xml\*.class
set PACKAGES=%PACKAGES% com\ibm\uia\renderer\*.class
:set PACKAGES=%PACKAGES% com\ibm\mqe\stub\*.class
set PACKAGES=%PACKAGES% com\ibm\mqe\model\*.class
jar cvf mqeExplorer.jar %PACKAGES% mqeMetaModel.xml 


echo building mqe bridge model jar file
set PACKAGES=%PACKAGES% com\ibm\mqe\bridgemodel\*.class
jar cvf mqeBridgeExplorer.jar %PACKAGES% mqeBridgeMetaModel.xml

move /Y mqeExplorer.jar ..\MQeExplorer\

move /Y mqeBridgeExplorer.jar ..\MQeBridgeExplorer\


del *.class /s  
endlocal
echo done